Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.commands
Class Map.Language

    java.lang.Object
      rdlc.commands.Map.Language

Direct Known Subclasses:
  Map, Map, Map

Enclosing class:
  Map

    public abstract static class Map.Language

extends java.lang.Object

Abstract class form which all language specific map plugins inherit. Has some standard fields which all map plugins will need.

Version:
  $Revision: 1.18 $
Author:
  Greg Gibeling

Field Summary
`protected boolean` | `accurateSim` Should this be a timing accurate simuation?
`protected boolean` | `autoShells` Should the unit shells be automatically included?
`protected Map` | `command` The command object from which this was invoked.
`protected java.lang.String` | `config` The configuration string for this language.
`protected Map` | `map` The RDL map object for this language.

Constructor Summary
`Map.Language(Map _command, java.lang.String _config, Map _map, java.lang.Boolean _accurateSim, java.lang.Boolean _autoShells)` Base constructor, merely saves it's arguments.

Method Summary
`void` | `backEndPlugin(PluginField pluginField)` Invoke the given plugin if it applies to this platform or language.
`abstract java.util.List<java.io.File>` | `invoke()` Invoke this language specific output generator and return a manifest of the files it generates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### command

    protected Map command

  The command object from which this was invoked.

### map

    protected Map map

  The RDL map object for this language.

### config

    protected java.lang.String config

  The configuration string for this language.

### accurateSim

    protected boolean accurateSim

  Should this be a timing accurate simuation?

### autoShells

    protected boolean autoShells

  Should the unit shells be automatically included?

Constructor Detail

### Map.Language

    public Map.Language(Map _command,
                        java.lang.String _config,
                        Map _map,
                        java.lang.Boolean _accurateSim,
                        java.lang.Boolean _autoShells)

  Base constructor, merely saves it's arguments.

  Parameters:
    `_command` - The command which generated this language object.
    `_config` - The configuration string for this language.
    `_map` - The RDL map object for this language.
    `_accurateSim` - Sould this be a timing accurate simulation?
    `_autoShells` - Should the unit shells be automatically included?

Method Detail

### invoke

    public abstract java.util.List<java.io.File> invoke()

  Invoke this language specific output generator and return a manifest of the files it generates.

### backEndPlugin

    public void backEndPlugin(PluginField pluginField)

  Invoke the given plugin if it applies to this platform or language.

  Parameters:
    `pluginField` - The plugin to match and invoke.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD